This service will be undergoing maintenance at 00:00 UTC, 2016-08-01. It is expected to last about 1 hours

Bug 605470

Summary: yum update dependency errrors
Product: [Fedora] Fedora Reporter: NM <andrew.kavalov>
Component: libguestfsAssignee: Richard W.M. Jones <rjones>
Status: CLOSED DUPLICATE QA Contact: Fedora Extras Quality Assurance <extras-qa>
Severity: medium Docs Contact:
Priority: low    
Version: 12CC: mbooth, rjones, tmraz, virt-maint
Target Milestone: ---   
Target Release: ---   
Hardware: x86_64   
OS: Linux   
Whiteboard:
Fixed In Version: Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of: Environment:
Last Closed: 2010-06-18 03:35:27 EDT Type: ---
Regression: --- Mount Type: ---
Documentation: --- CRM:
Verified Versions: Category: ---
oVirt Team: --- RHEL 7.3 requirements from Atomic Host:

Description NM 2010-06-17 23:08:25 EDT
User-Agent:       Mozilla/5.0 (X11; U; Linux x86_64; en-US; rv:1.9.1.9) Gecko/20100330 Fedora/3.5.9-2.fc12 Firefox/3.5.9

# yum update
Loaded plugins: presto, protect-packages, protectbase, refresh-packagekit, security, versionlock
0 packages excluded due to repository protections
Skipping security plugin, no data
Setting up Update Process
Resolving Dependencies
Skipping security plugin, no data
--> Running transaction check
---> Package openssl.x86_64 0:1.0.0a-1.fc12 set to be updated
---> Package openssl-devel.x86_64 0:1.0.0a-1.fc12 set to be updated
---> Package openssl-perl.x86_64 0:1.0.0a-1.fc12 set to be updated
--> Processing Dependency: /usr/lib64/.libssl.so.1.0.0.hmac for package: 1:libguestfs-1.0.85-1.fc12.3.x86_64
--> Processing Dependency: /usr/lib64/.libcrypto.so.1.0.0.hmac for package: 1:libguestfs-1.0.85-1.fc12.3.x86_64
--> Finished Dependency Resolution
Error: Package: 1:libguestfs-1.0.85-1.fc12.3.x86_64 (@updates)
           Requires: /usr/lib64/.libcrypto.so.1.0.0.hmac
           Removing: openssl-1.0.0-4.fc12.x86_64 (@updates)
           Available: openssl-1.0.0-0.10.beta3.fc12.x86_64 (fedora)
Error: Package: 1:libguestfs-1.0.85-1.fc12.3.x86_64 (@updates)
           Requires: /usr/lib64/.libssl.so.1.0.0.hmac
           Removing: openssl-1.0.0-4.fc12.x86_64 (@updates)
           Available: openssl-1.0.0-0.10.beta3.fc12.x86_64 (fedora)
 You could try using --skip-broken to work around the problem
 You could try running: rpm -Va --nofiles --nodigest


Reproducible: Always

Steps to Reproduce:
1.As root run
2.yum update

Actual Results:  
as above

Expected Results:  
smooth install
Comment 1 Richard W.M. Jones 2010-06-18 03:35:27 EDT

*** This bug has been marked as a duplicate of bug 604307 ***